%define oname tomahawk
%define rel 2
Summary:        A social media player
Name:           tomahawk-player
Version:        0.3.3
Release:        %mkrel  %rel
Source0:        http://downloads.tomahawk-player.org/%{oname}-%{version}.tar.bz2
License:        GPLv3
Group:          Sound 
URL:            http://tomahawk-player.org/
BuildRequires:  qt4-devel >= 4:4.7.0
BuildRequires:  pkgconfig(QJson) >= 0.7.1
BuildRequires:  pkgconfig(sqlite3) >= 3.6.22
BuildRequires:  pkgconfig(libclucene-core) >= 0.9.23
BuildRequires:  pkgconfig(libechonest)
BuildRequires:  pkgconfig(taglib) >= 1.6.2
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(libattica)
BuildRequires:  pkgconfig(libjreen)
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  qtweetlib-devel
BuildRequires:  quazip-devel
BuildRequires:  libboost-devel >= 1.30
BuildRequires:  cmake >= 2.8.0

%description
Tomahawk is a social media player.

%files 
%_bindir/%oname
%_libdir/libtomahawk_portfwd.so
%_libdir/libtomahawk_sipzeroconf.so
%_libdir/libtomahawklib.so
%_libdir/libtomahawk_sipgoogle.so
%_libdir/libtomahawk_sipjabber.so
%_libdir/libtomahawk_siptwitter.so
%_datadir/applications/%oname.desktop
%_iconsdir/hicolor/*/apps/%oname.png
%_iconsdir/hicolor/scalable/apps/%oname.svg


#---------------------------------------------------------------------

%prep
%setup -q -n %oname-%{version} 

%build
%cmake -DDISABLE_CRASHREPORTER=1
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build





%changelog

* Tue Dec 27 2011 mikala <mikala> 0.3.3-2.mga2
+ Revision: 188024
- Rebuild for attica

* Tue Dec 20 2011 mikala <mikala> 0.3.3-1.mga2
+ Revision: 184643
- Add quazip-devel as BuildRequires
- Update tarball to 0.3.3
- Fix BuildRequires to pull QtWebKit (will be needed for qtwebkit2.2)

* Fri Nov 25 2011 mikala <mikala> 0.3.2-2.mga2
+ Revision: 171946
- Add qtweetlib-devel as BR

* Fri Nov 25 2011 mikala <mikala> 0.3.2-1.mga2
+ Revision: 171920
- Update tarball to 0.3.2
- Add pkconfig(attica) as BR, pkconfig(jreen) is not a build option now
- don't build the crash resolver for now

* Thu Sep 29 2011 mikala <mikala> 0.2.3-1.mga2
+ Revision: 150312
- Add description
- Fix summary
- Update tarball to 0.2.3
- Remove %%clean section & %%defattr
- Fix file list
- imported package tomahawk-player

  + dmorgan <dmorgan>
    - Fix file list and %%setup

